org.springframework.web.portlet.bind.annotation

## Annotation Type ResourceMapping

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    @Documented
    public @interface ResourceMapping

Annotation for mapping Portlet resource requests onto handler methods.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `RequestMapping`

### Optional Element Summary

Optional Elements
`String` `value` The id of the resource to be handled.

### Element Detail

#### value

    public abstract String value

The id of the resource to be handled. This id uniquely identifies a resource within a portlet mode.

If not specified, the handler method will be invoked for any resource request within its general mapping.

See Also:
  `ResourceRequest.getResourceID()`

Default:
  ""